Skip to main content
GET
/
v2
/
files
Core - List project files
curl --get 'https://api.orq.ai/v2/files' \
  --header 'Authorization: Bearer $ORQ_API_KEY' \
  --data-urlencode 'limit=25' \
  --data-urlencode 'project_id=proj_01HZXW2K7Y8Q9M0N1P2R3S4T5V'
{
  "object": "<string>",
  "data": [
    {
      "file_id": "<string>",
      "file_name": "<string>",
      "bytes": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "project_id": "<string>"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int32>

Page size. Unset uses the server default.

starting_after
string

Cursor for forward pagination. Set to the file_id of the last item from the previous page.

ending_before
string

Cursor for backward pagination. Set to the file_id of the first item from the previous page.

project_id
string

Response

200 - application/json

OK

object
string
required

Object discriminator for list responses; always list.

data
object[]
required

Page of files.

has_more
boolean
required

Whether more files are available in the selected pagination direction.